using System;
using System.Collections.Generic;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.Extensions.Configuration;
using ToolSystem;

namespace Tool_Management.Pages
{
    public class DeletePersonModel : PageModel
    {
        readonly IConfiguration _configuration;

        public string connectionString;

        public int personId;

        public DeletePersonModel(IConfiguration configuration)
        {
            _configuration = configuration;
        }

        public void OnGet()
        {
            personId = Convert.ToInt16(Request.Query["personid"]);

            connectionString = _configuration.GetConnectionString("ConnectionString");

            Person person = new Person();

            person.DeletePerson(connectionString, personId);

            Response.Redirect("./PersonList");
        }
    }
}
